# Uses of Class
java.util.TooManyListenersException

Packages that use TooManyListenersException
Package
Description
java.awt.dnd
Drag and Drop is a direct manipulation gesture found in many Graphical User Interface systems that provides a mechanism to transfer information between two entities logically associated with presentation elements in the GUI.
java.beans.beancontext
Provides classes and interfaces relating to bean context.

- ## Uses of TooManyListenersException in java.awt.dnd

  Methods in java.awt.dnd that throw TooManyListenersException
  Modifier and Type
  Method
  Description
  `void`
  DragGestureRecognizer.`addDragGestureListener(DragGestureListener dgl)`
  Register a new `DragGestureListener`.
  `void`
  DragSourceContext.`addDragSourceListener(DragSourceListener dsl)`
  Add a `DragSourceListener` to this `DragSourceContext` if one has not already been added.
  `void`
  DropTarget.`addDropTargetListener(DropTargetListener dtl)`
  Adds a new `DropTargetListener` (UNICAST SOURCE).

- ## Uses of TooManyListenersException in java.beans.beancontext

  Methods in java.beans.beancontext that throw TooManyListenersException
  Modifier and Type
  Method
  Description
  `Object`
  BeanContextServices.`getService(BeanContextChild child, Object requestor, Class<?> serviceClass, Object serviceSelector, BeanContextServiceRevokedListener bcsrl)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  A `BeanContextChild`, or any arbitrary object associated with a `BeanContextChild`, may obtain a reference to a currently registered service from its nesting `BeanContextServices` via invocation of this method.
  `Object`
  BeanContextServicesSupport.`getService(BeanContextChild child, Object requestor, Class<?> serviceClass, Object serviceSelector, BeanContextServiceRevokedListener bcsrl)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  obtain a service which may be delegated